> For the complete documentation index, see [llms.txt](https://docs.nosto.com/ugc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/ugc/analytics/v4/events.md).

# Widgets Events

Nosto's UGC Tracks different Performance events to ensure we can accurately track a user's interaction with the widgets available on your website.

We recommend you start by reading our [Getting Started](https://developer.stackla.com/analytics/google-analytics-v4/getting-started/) guide.

Learn more about which UGC widgets support the Google Analytics 4 Plugin [here](http://help.nosto.com/en/articles/7890296-google-analytics-4-authentication-configuration#h_4764c82fc5)

## Google Analytics Custom Dimensions

The Google Analytics 4 Plugin relies on a list of custom dimensions that are automatically created in your Google Analytics 4 account when you start tracking.

Learn more about the UGC custom dimensions [here](https://help.nosto.com/en/articles/7890296-google-analytics-4-authentication-configuration#h_324f098c5f)

## Performance Events

The following performance events are tracked by Nosto's UGC Google Analytics 4 plugin:

* `Tile Load` (nosto\_ugc\_tile\_load) - This event is fired when a tile loads within a widget.
* `Tile Like` (nosto\_ugc\_tile\_like) - This event is fired when a user clicks the like button on a tile within a widget.
* `Widget Load` (nosto\_ugc\_widget\_load) - This event is fired when a widget is loaded on a page.
* `Widget Load More` (nosto\_ugc\_widget\_load\_more) - This event is fired when a user loads more content on a widget (includes Load More, Previous, Next, and Vertial Scrolling actions).
* `Tile Dislike`(nosto\_ugc\_tile\_dislike) - This event is fired when a user clicks the dislike button on a tile within a widget.
* `Tile Hover` (nosto\_ugc\_tile\_hover) - This event is fired when a user hovers over a tile within a widget.
* `Product Click` (nosto\_ugc\_product\_click) - This event is fired when a user clicks the CTA button on a tile within a widget.
* `Pin Click` (nosto\_ugc\_pin\_click) - This event is fired when a user clicks the pin on a map tile within a widget.
* `Tile Expand` (nosto\_ugc\_tile\_expand) - This event is fired when a user expands a tile within a widget.
* `Tile User Click` (nosto\_ugc\_user\_click) - This event is fired when a user clicks the creator social link on a tile within a widget.
* `Tile Share Click` (nosto\_ugc\_tile\_share\_click) - This event is fired when a user clicks the share button on a tile within a widget.
* `Shopspot Flyout` (nosto\_ugc\_shopspot\_flyout) - This event is fired when a user opens the shopspot flyout on a tile within a widget.

To customize your selection of events that are triggered, you can adjust this within the plugin settings. See more details in [this](https://help.nosto.com/en/articles/7890296-google-analytics-4-authentication-configuration) article.

To learn more about **Nosto's UGC Performance Dashboard** [here](http://help.nosto.com/en/articles/7890304-how-to-use-the-ugc-performance-dashboard).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/ugc/analytics/v4/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
